import java.util.Scanner;

public class NineTail {
  public static void main(String[] args) {
    // Prośba o podanie stanu dziewięciu monet (O i R)
    System.out.print("Podaj stan dziewięciu monet (O to orzeł, R to reszka): ");
    Scanner input = new Scanner(System.in);
    String s = input.nextLine(); 
    char[] initialNode = s.toCharArray();

    NineTailModel model = new NineTailModel();
    java.util.List<Integer> path =
      model.getShortestPath(NineTailModel.getIndex(initialNode));

    System.out.println("Kroki potrzebne do odwrócenia monet ");
    for (int i = 0; i < path.size(); i++)
      NineTailModel.printNode(
        NineTailModel.getNode(path.get(i)));  
  }
}
